Page MenuHomePhabricator

nodemap: use an intermediate "docket" file to carry small metadata
ClosedPublic

Authored by marmoute on Jan 11 2020, 12:03 PM.

Details

Summary

This intermediate file will make mmapping, transaction and content validation
easier. (Most of this usefulness will arrive gradually in later changeset). In
particular it will become very useful to append new data are the end of raw file
instead of rewriting on the file on each transaction.

See in code comments for details.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

marmoute created this revision.Jan 11 2020, 12:03 PM
marmoute edited the summary of this revision. (Show Details)Jan 13 2020, 10:06 AM
marmoute updated this revision to Diff 19175.
marmoute updated this revision to Diff 19754.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19784.Jan 31 2020, 5:58 PM
marmoute updated this revision to Diff 19828.Feb 2 2020, 3:17 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19886.Feb 4 2020, 7:24 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.